Re: [Tracker] ANNOUNCE: tracker 0.7.10 released

Hi, Martyn,
when I compile tracker 0.7.10,
I can not compile tracker-explorer,
for it search for gee/map.h, gee/hashmap.h,

I can not find it in vala 0.7,8, and libgee0.5.0.

what's wrong?

or vala release a new version?

Martyn Russell :
tracker 0.7.10 is now available for download from:

07b4e3be823419f99245d08d6f405cd3  tracker-0.7.10.tar.gz

What is it?
All-in-one indexer, search tool and metadata database.

Where can I find out more?
You can visit the project web site:

What's New?

  * Added nco:IMCapability* and nco:imContactCapability*.
  * Added tracker:notify to nmo:Message.
  * Added maemo:webhistoryThumbnail.
  * Fixed maemo:relevance to use maxCardinality of 1, None previously.

  * Fixed missing docs/ontology PNG files.

  Data Generators:
  * Fixed Python 2.5 requirement.
  * Fixed to work with the latest ontology.
  * Fixed to not generate duplicate self entries for nco:PersonContact

  * Fixed memory leaks in TrackerProperty finalize.
  * Fixed classes/props/namespaces to use GPtrArray bookkeeping.

  * Fixed memory leak in tracker_data_update_sparql{_blank}().

  * Fixed memory leaks in querying code.
  * Fixed memory leaks when removing and moving items.
  * Fixed memory leak in monitor code when freeing events.
  * Fixed some build warnings.
  * Fixed to not check for locks in non-existent files.
  * Removed TrackerMiner::terminated signal, it was unused.

  * Added initial documentation. About 50% is documented.

  * Fixed memory leaks in mount code.

  * Now uses g_file_new_from_command_line_arg() so URIs don't have to
    be full URIs.

  * Fixed missing include for locale.h

  * Fixed all queries to use FTS not FILTER SPARQL.
  * Fixed to be able to launch applications and all files too.
  * Updated to show 10 items per category not 5 by default.
  * Added support for tags, bookmarks, contacts and websites.

Bugs Fixed



  The Deskbar applet packaged with Tracker is currently out of date
  and needs some love to get it working with the new APIs. It is in
  the same state as it was for 0.6. As such it isn't expected to work.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]